Tools
Manage conversations between users and agents. These endpoints allow you to create, retrieve, update, and delete conversations, and retrieve their associated messages.
Returns a paginated list of available tool vendors for the current tenant and unit.
Note: This endpoint only returns metadata about the tool vendors (e.g., ID, name, mode, favorite status).
To retrieve detailed tool configurations or schema information, use the corresponding
GET /tools/{mode}_tools/{id}or related detail endpoints.
Current page number
1Number of items per page
14Filter by favorite status
Filter by mode, value is flow, builtin
order by: 'recent'(default) or 'oldest'
recentTenant Id
40d39c4b-9585-4123-8fd4-f1cc23a1184cTenant Unit ID
da114de3-d7e6-4161-bc55-0ce85dbee589Successful Response
Current page number
Number of items per page
Total number of tools
Whether there is a next page
List of tools
Validation Error
GET /admin/api/v2/tools HTTP/1.1
Host: api.workfx.ai
Accept: */*
{
"page_num": 1,
"page_size": 1,
"total_count": 1,
"has_next_page": true,
"data": [
{}
]
}Retrieve common information and metadata for a single tool by its ID.
Tool ID to fetch
Tenant Id
40d39c4b-9585-4123-8fd4-f1cc23a1184cTenant Unit ID
da114de3-d7e6-4161-bc55-0ce85dbee589Successful Response
Source type: 'emoji' or 'url'
Raw icon value: emoji char, full URL, or gallery key
Hex background color behind the icon
#FFFTool description
""Tool vendor ID
Tool vendor name
Tool vendor display name
Tool type, e.g., builtin, flow
User ID of creator
User name of creator
Timestamp of creation
User ID of last updater
User name of updater
Timestamp of last update
Indicates if the item is marked as favorite
Validation Error
GET /admin/api/v2/tools/{tool_id} HTTP/1.1
Host: api.workfx.ai
Accept: */*
{
"icon_type": "emoji",
"icon": "text",
"icon_background": "#FFF",
"description": "",
"id": "text",
"name": "text",
"display_name": "text",
"mode": "flow",
"created_by": "text",
"created_by_name": "text",
"created_time": "2026-01-01T00:00:00.000Z",
"updated_by": "text",
"updated_by_name": "text",
"updated_time": "2026-01-01T00:00:00.000Z",
"is_favorite": true,
"icon_url": "text"
}Update the common information and metadata for a tool by its ID.
Tool id
Tenant Id
40d39c4b-9585-4123-8fd4-f1cc23a1184cTenant Unit ID
da114de3-d7e6-4161-bc55-0ce85dbee589Payload containing fields to update for the tool
Source type: 'emoji' or 'url'
Raw icon value: emoji char, full URL, or gallery key
Hex background color behind the icon
#FFFTool description
""Tool name
Tool name
Successful Response
Source type: 'emoji' or 'url'
Raw icon value: emoji char, full URL, or gallery key
Hex background color behind the icon
#FFFTool description
""Tool vendor ID
Tool vendor name
Tool vendor display name
Tool type, e.g., builtin, flow
User ID of creator
User name of creator
Timestamp of creation
User ID of last updater
User name of updater
Timestamp of last update
Indicates if the item is marked as favorite
Validation Error
PUT /admin/api/v2/tools/{tool_id} HTTP/1.1
Host: api.workfx.ai
Content-Type: application/json
Accept: */*
Content-Length: 113
{
"icon_type": "emoji",
"icon": "text",
"icon_background": "#FFF",
"description": "",
"name": "text",
"display_name": "text"
}{
"icon_type": "emoji",
"icon": "text",
"icon_background": "#FFF",
"description": "",
"id": "text",
"name": "text",
"display_name": "text",
"mode": "flow",
"created_by": "text",
"created_by_name": "text",
"created_time": "2026-01-01T00:00:00.000Z",
"updated_by": "text",
"updated_by_name": "text",
"updated_time": "2026-01-01T00:00:00.000Z",
"is_favorite": true,
"icon_url": "text"
}Delete a tool (common metadata) by its ID. No content is returned on success.
Tool id
Tenant Id
40d39c4b-9585-4123-8fd4-f1cc23a1184cTenant Unit ID
da114de3-d7e6-4161-bc55-0ce85dbee589Successful Response
Validation Error
DELETE /admin/api/v2/tools/{tool_id} HTTP/1.1
Host: api.workfx.ai
Accept: */*
{}Was this helpful?